Error: Package: ea-apache24-2.4.29-7.7.3.cpanel.x86_64 (EA4)

savan994

Registered
May 21, 2014
4
0
1
cPanel Access Level
Root Administrator
Hello,

When I want to update EA4 I get this error.

Update Error: Error: Package: ea-apache24-2.4.29-7.7.3.cpanel.x86_64 (EA4)
Requires: elinks The entire output was logged to: /usr/local/cpanel/logs/packman/errors/2018-02-26_23:35:02-1
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,910
2,215
363
Hello,

Could you try installing the elinks package via YUM and let us know the output? EX:

Code:
yum install elinks
Also, please let us know which OS you are using.

Thank you.
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,910
2,215
363
Hello,

That package normally comes from the base CentOS repo. Could you let us know the output from the command below so we can verify which YUM repos are enabled on your system?

Code:
yum repolist enabled
Thank you.
 

savan994

Registered
May 21, 2014
4
0
1
cPanel Access Level
Root Administrator
Loaded plugins: fastestmirror, refresh-packagekit, universal-hooks
Loading mirror speeds from cached hostfile
* EA4: 185.53.12.144
* cpanel-addons-production-feed: 185.53.12.144
* epel: mirror.daniel-jost.net
* nux-dextop: mirror.li.nux.ro
repo id repo name status
EA4 EA4 ( EasyApache 4 ) 148,371+5,807
cpanel-addons-production-feed cPanel Addons Production Feed 38
bitninja BitNinja Server Security 58
cpanel-plugins cPanel Plugins project (CentOS 6) 87
epel Extra Packages for Enterprise Linux 6 - x86_64 11,718+736
linuxtech-release LinuxTECH.NET el6 production repo 931+233
nux-dextop Nux.Ro RPMs for general desktop use 1,596+4
virtualbox Oracle Linux / RHEL / CentOS-6 / x86_64 - VirtualBox 62
repolist: 162,861
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,910
2,215
363
Hello,

It looks like you are using custom YUM repo files as opposed to the standard CentOS 6 default YUM repo files. Could you check with your hosting provider to have them verify if that's by design, and if so, which steps they advise for installing packages from the base CentOS 6 repo.

Thank you.
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,910
2,215
363
Maybe my admin change some settings?

Can I set like standard CentOS 6 default YUM repo files?
I recommend checking with your hosting provider or system administrator first, as it's possible they are using the custom YUM repo files for a specific reason.

Thank you.